# $Revision: 1.7 $, $Date: 2008-02-02 11:33:20 $
%define	pre	pre43
Summary:	Free versions of the 35 standard PostScript fonts
Summary(pl.UTF-8):	Wolnodostępne wersje 35 standardowych fontów postscriptowych
Name:		fonts-Type1-urw
Version:	1.0.7
Release:	0.%{pre}.3
License:	GPL v2
Group:		Fonts
Source0:	ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-%{version}%{pre}.tar.bz2
# Source0-md5:	97ff7f315bcf36558d7f326878551ac3
Source1:	%{name}.Fontmap
BuildRequires:	xorg-app-mkfontscale
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1
Provides:	ghostscript-fonts-std
Obsoletes:	ghostscript-fonts-std
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		t1fontsdir	%{_fontsdir}/Type1
%define		t1afmdir	%{t1fontsdir}/afm
%define		t1pfmdir	%{t1fontsdir}/pfm

%description
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH. The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

%description -l pl.UTF-8
Wolnodostępne, dobrej jakości wersje 35 standardowych fontów
postscriptowych, wydanych na licencji GPL przez URW++ Design and
Development GmbH. Plik fonts.dir zawiera nazwy fontów pasujące do
oryginalnych nazw Adobe (np. Times, Helvetica itd.).

%prep
%setup -q -c

%build
%{_bindir}/mkfontscale .
tail -n +2 fonts.dir > fonts.dir.raw
LC_ALL=C sort -t- -k1,13 -u fonts.dir.raw > fonts.dir.sorted
join -j1 -t- -o1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9,1.10,1.11,1.12,1.13,2.14,2.15 fonts.dir.sorted fonts.scale > fonts.scale.add
LC_ALL=C sort -u fonts.dir.raw fonts.scale.add > fonts.scale.urw

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{t1fontsdir},%{t1afmdir},%{t1pfmdir}}

install *.pfb $RPM_BUILD_ROOT%{t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{t1pfmdir}

install fonts.scale.urw $RPM_BUILD_ROOT%{t1fontsdir}/fonts.scale.urw
install %{SOURCE1} $RPM_BUILD_ROOT%{t1fontsdir}/Fontmap.urw

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc README* ChangeLog
%{t1fontsdir}/Fontmap.urw
%{t1fontsdir}/fonts.scale.urw
%{t1fontsdir}/*.pfb
%{t1afmdir}/*.afm
%{t1pfmdir}/*.pfm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fonts-Type1-urw.spec,v $
Revision 1.7  2008-02-02 11:33:20  dzeus
- rel. ++

Revision 1.6  2007-12-26 01:03:02  qboosh
- better fonts.scale: get original font names from supplied fonts.dir, but add
  remaining encodings from autogenerated fonts.scale
- merged .Fontmap from ghostscript-fonts-std
- install pfm metrics
- GPL v2 (as specified in included COPYING file)

Revision 1.5  2007-12-25 23:06:10  qboosh
- pl
- different versioning scheme, no sense in g-f-s P: versioned with VR

Revision 1.4  2007-11-14 09:19:15  arekm
- add changelog to docs

Revision 1.3  2007-11-14 09:18:28  arekm
- provide fonts.scale

Revision 1.2  2007-11-14 09:04:15  arekm
P/O ghostscript-fonts-std

Revision 1.1  2007-11-14 09:01:13  arekm
- maintained urw fonts
